Content / REST API
Create content voice
Create workspace author voice. No hosted inference. Updates affect only the selected voice.
POST /api/content/voicesDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
nameRequired · string- See the input schema for this field.
voice_instructionsOptional · string- See the input schema for this field.
is_defaultOptional · boolean- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/content/voices" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"example"}'Full input schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"workspaceId": {
"type": "string"
},
"name": {
"type": "string",
"maxLength": 100
},
"voice_instructions": {
"type": "string",
"maxLength": 20000
},
"is_default": {
"type": "boolean"
}
},
"required": [
"name"
]
}